#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/OWNCLOUD_SMTP_TRANSPORT.sh
#
# Copyright (c) 2012-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2013-01-26  schlotze
# Last Update:  $Id: OWNCLOUD_SMTP_TRANSPORT.sh 71801 2020-01-05 09:58:48Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

pgmname=`basename $0`
module_name="`echo "${pgmname}" | cut -d_ -f1 | tr '[:upper:]' '[:lower:]'`"

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="default,ssl,tls"

    if [ $? -ne 0 ]
    then
        # not found, set to default value
        value='none'
    fi

    ece_select_list_dlg "${win}" "Transport type" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
